Announcement

Collapse
No announcement yet.

problem in upgrade to 2.0 2

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • problem in upgrade to 2.0 2

    I have just did upload all the files and do the upgrade step and it came with the following error message ?

    Database error in vBulletin Control Panel: Invalid SQL: ALTER TABLE profilefield ADD editable SMALLINT DEFAULT '1' NOT NULL
    mysql error: Duplicate column name 'editable'
    mysql error number: 1060
    Date: Tuesday 31st of July 2001 12:16:06 PM
    Script: upgrade11.php?step=2


    Is there anybody know how can I do & what is the problem with that ? Thanks !


  • #2
    It appears as though you've tried to run upgrade11.php more than once. Yes?

    Comment


    • #3
      Originally posted by tubedogg
      It appears as though you've tried to run upgrade11.php more than once. Yes?
      I have tried to run upgrade11.php more than many time ! because it show me a error message since I run the upgrade11.php at the first time. will you let me know how can I do to fix this problem ? will you ?

      Comment


      • #4
        What was the error the first time? It wouldn't have been the error that you posted already.

        Comment


        • #5
          Originally posted by freddie
          What was the error the first time? It wouldn't have been the error that you posted already.
          Here is :

          Database error in vBulletin Control Panel: Invalid SQL: INSERT INTO settinggroup VALUES (31,'Who\'s Online', 31)
          mysql error: Duplicate entry '31' for key 1
          mysql error number: 1062


          Thanks !

          Comment


          • #6
            Have you installed any hacks?

            If so, you'll need to get rid of the settings they added:

            Code:
            DELETE FROM settinggroup WHERE settinggroupid=31;
            DELETE FROM setting WHERE settinggroupid=31;
            This may break the hack; beware.

            If you haven't installed any hacks, you should be able to run the above queries and fix it, but I wouldn't recommend it (as you could/would take out vB's own settings) -- run this query and paste it's output here:

            Code:
            SELECT * FROM setting WHERE settinggroupid=31;

            Comment


            • #7
              Originally posted by Ed Sullivan
              Have you installed any hacks?

              If so, you'll need to get rid of the settings they added:

              Code:
              DELETE FROM settinggroup WHERE settinggroupid=31;
              DELETE FROM setting WHERE settinggroupid=31;
              This may break the hack; beware.

              If you haven't installed any hacks, you should be able to run the above queries and fix it, but I wouldn't recommend it (as you could/would take out vB's own settings) -- run this query and paste it's output here:

              Code:
              SELECT * FROM setting WHERE settinggroupid=31;

              Yes. I installed a gallery hack before ! and I would like to remove some hack under the CP ?! How can I do ?

              How can I run the
              DELETE FROM settinggroup WHERE settinggroupid=31;

              under the mySQL prompt of UNIX ?

              Comment


              • #8
                You need to run those 2 queries then. There's a phpMyAdmin tutorial 'stuck' in the troubleshooting forum.

                Comment


                • #9
                  Originally posted by Ed Sullivan
                  You need to run those 2 queries then. There's a phpMyAdmin tutorial 'stuck' in the troubleshooting forum.
                  I found the problem right now ! I am using a Chinese vbulletin.style 2.01 ! and I upload the vbulletin.style2.02 and replaced the vbulletin.style2.01 ! then it works now !

                  only lost something like Smilies.....

                  Anyway ! Thanks for your support !!

                  BTW ! phpMyAdmin is good tools ???

                  Comment

                  widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                  Working...
                  X